%define contentdir /var/www
%define subname apache2

Summary: An embedded Python interpreter for the Apache Web server.
Name: mod_python-%{subname}
Version: 3.1.4
Release: 1.norlug
Source: http://www.apache.org/dist/httpd/modpython/mod_python-%{version}.tgz
Source1: python.conf
Patch0: mod_python-2.7.3-paths.patch
Patch1: mod_python-3.0.3-py23.patch
Patch7: mod_python-20020610-gsr.patch
Patch10: mod_python-20020722-lib64.patch
URL: http://www.modpython.org/
License: Apache Software License
Group: System Environment/Daemons
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: httpd-devel >= 2.0.40-6, python2.4, python2.4-devel apr-devel, apr-util-devel
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn), httpd >= 2.0.40 
Requires:  python2.4 => 2.4
Obsoletes: mod_python

%description
Mod_python is a module that embeds the Python language interpreter within
the server, allowing Apache handlers to be written in Python.

Mod_python brings together the versatility of Python and the power of
the Apache Web server for a considerable boost in flexibility and
performance over the traditional CGI approach.

%prep
%setup -q -n mod_python-%{version}
#%patch0 -p1 -b .paths
#%patch1 -p1 -b .py23
%patch7 -p0 -b .gsr
%patch10 -p1 -b .lib64

%build
%configure --with-apxs=%{_sbindir}/apxs --with-python=/usr/bin/python2.4
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
make install DESTDIR=$RPM_BUILD_ROOT

# Install the config file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/python.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

# Install the manual.
mkdir -p $RPM_BUILD_ROOT%{contentdir}/manual/mod/mod_python
cp -a doc-html/* $RPM_BUILD_ROOT%{contentdir}/manual/mod/mod_python/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS CREDITS COPYRIGHT
%{contentdir}/manual/mod/mod_python
%{_libdir}/httpd/modules/mod_python.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_libdir}/python*/site-packages/mod_python

%changelog
* Sun Feb 13 2005 Chip Cuccio <chipster@norlug.org> 3.1.4-1
- updated

* Tue Nov 30 2004 Chip Cuccio <chipster@norlug.org> 3.1.3-6
- rebuilt for python-2.4

* Sat Oct 9 2004 Chip Cuccio <chipster@norlug.org> 3.1.3-5
- fixed "obsoletes" field

* Wed Jul 14 2004 Chip Cuccio <chipster@norlug.org> 3.1.3-4
- recompiled against python-2.3.4

* Fri Feb 27 2004 Chip Cuccio <chipster@norlug.org> 3.1.3-1
- update to 3.1.3

* Mon Feb 2 2004 Chip Cuccio <chipster@norlug.org> 3.0.4-1
- update to 3.0.4

* Sun Dec 21 2003 Chip Cuccio <chipster@norlug.org> 3.0.3-3
- initial build for rh-7.3
